import { BaseComponent, ComponentOptions, ValidateOptions } from '../base';
import { ODynamicFormEvents } from '../../o-dynamic-form.events';
export interface InputValidateOptions extends ValidateOptions {
    minLength?: number | string;
    maxLength?: number | string;
    pattern?: string;
}
export interface InputOptions extends ComponentOptions<string, InputValidateOptions> {
    inputMask?: string;
    placeholder?: string;
    prefix?: string;
    suffix?: string;
    tabindex?: number | string;
}
export declare class InputComponent<T> extends BaseComponent<T> {
    constructor(settings: any, events?: ODynamicFormEvents, data?: any);
}
