import { ElementRef, EventEmitter, Injector, OnInit } from '@angular/core';
import { OFormComponent } from 'ontimize-web-ngx';
import { BaseComponent, BaseOptions } from './components/base';
import { ODynamicFormEvents } from './o-dynamic-form.events';
import { ODFElementComponent } from './o-dynamic-form-element.component';
export declare class ODFComponentComponent<T> implements OnInit {
    protected oForm: OFormComponent;
    protected elRef: ElementRef;
    protected injector: Injector;
    private events;
    protected odfElement: ODFElementComponent;
    show: Boolean;
    components: Array<BaseComponent<any>>;
    component: BaseOptions<T>;
    label: string | boolean;
    editMode: boolean;
    addComponentEmitter: EventEmitter<any>;
    moveComponentEmitter: EventEmitter<any>;
    editComponentSettingsEmitter: EventEmitter<any>;
    deleteComponentEmitter: EventEmitter<any>;
    render: EventEmitter<any>;
    isDragEnabled: boolean;
    constructor(oForm: OFormComponent, elRef: ElementRef, injector: Injector, events: ODynamicFormEvents);
    ngOnInit(): void;
    checkConditions(): void;
    addComponent(): any;
    removeAt(index: number): void;
    isContainerComponent(component: BaseComponent<any>): boolean;
    getDraggableData(): BaseComponent<any>;
}
