import { Component, ViewEncapsulation } from '@angular/core';
var ODFElementOptionsComponent = (function () {
    function ODFElementOptionsComponent() {
    }
    ODFElementOptionsComponent.prototype.onEditOdfElement = function () {
        this.editComponentSettingsEmitter.emit({
            component: this.component
        });
    };
    ODFElementOptionsComponent.prototype.onDeleteOdfElement = function () {
        this.deleteComponentEmitter.emit({
            component: this.component
        });
    };
    ODFElementOptionsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'odf-element-options',
                    template: "\n    <div class=\"odf-element-options-container\" fxFlex>\n      <span fxFlex class=\"odf-element-options-attr\">{{ component.getComponentAttr() }}</span>\n      <mat-icon class=\"material-icons\" (click)=\"onEditOdfElement()\">settings</mat-icon>\n      <mat-icon class=\"material-icons\" (click)=\"onDeleteOdfElement()\">close</mat-icon>\n    </div>\n  ",
                    inputs: [
                        'component',
                        'editComponentSettingsEmitter : edit-component-settings-emitter',
                        'deleteComponentEmitter : delete-component-emitter'
                    ],
                    encapsulation: ViewEncapsulation.None
                },] },
    ];
    return ODFElementOptionsComponent;
}());
export { ODFElementOptionsComponent };
//# sourceMappingURL=o-dynamic-form-element-options.component.js.map