import { Type, NgModule } from '@angular/core';
export interface DFComponentMetaData {
    template?: string;
    selector?: string;
    inputs?: Array<string>;
    styles?: Array<string>;
}
export interface DFComponentTemplate {
    component: DFComponentMetaData;
    module?: NgModule;
}
export interface DFComponentsTemplate {
    'o-currency-input': DFComponentTemplate;
    'o-date-input': DFComponentTemplate;
    'o-email-input': DFComponentTemplate;
    'o-integer-input': DFComponentTemplate;
    'o-nif-input': DFComponentTemplate;
    'o-password-input': DFComponentTemplate;
    'o-percent-input': DFComponentTemplate;
    'o-real-input': DFComponentTemplate;
    'o-text-input': DFComponentTemplate;
    'o-textarea-input': DFComponentTemplate;
    'o-row': DFComponentTemplate;
    'o-column': DFComponentTemplate;
    'o-combo': DFComponentTemplate;
    'o-list-picker': DFComponentTemplate;
    'o-checkbox': DFComponentTemplate;
    'o-table': DFComponentTemplate;
}
export interface DFTemplate {
    formio?: DFComponentTemplate;
    formio_component?: DFComponentTemplate;
    formio_components?: DFComponentTemplate;
    components: DFComponentsTemplate;
}
export declare function RegisterTemplate(cmp: Type<any>, template: DFComponentTemplate): void;
