import { Compiler, ComponentFactory } from '@angular/core';
import { DFComponentMetaData, DFComponentTemplate } from '../o-dynamic-form.template';
import { ODynamicFormEvents } from '../o-dynamic-form.events';
export interface DFComponentWrapper {
    component?: any;
    element?: any;
    metadata?: DFComponentMetaData;
    module?: any;
    factoryPromise?: Promise<ComponentFactory<any>>;
}
export declare class DFComponents {
    static components: DFComponentWrapper;
    static register(ontimizeDirective: string, component: any, template: DFComponentTemplate): void;
    static createComponent(component: any, events: ODynamicFormEvents, data: any): any;
    static element(ontimizeDirective: string, compiler: Compiler): Promise<ComponentFactory<any>>;
    protected static createCustomComponent(compDefinition: any): any;
}
