import { BaseOptions } from './components/base';
export interface DynamicFormDefinition {
    title?: string;
    name?: string;
    path?: string;
    project?: string;
    template?: string;
    components?: Array<BaseOptions<any>>;
}
export interface AlertsOptions {
    submitMessage: string;
}
export interface FormioAlert {
    type: string;
    message: string;
}
export interface ErrorsOptions {
    message: string;
}
export interface FormioOptions {
    errors: ErrorsOptions;
    alerts: AlertsOptions;
}
