import { EventEmitter } from '@angular/core';
import { FormioAlert } from './o-dynamic-form.common';
export interface DynamicFormEvent {
    type: string;
    data?: Object;
}
export declare class ODynamicFormEvents {
    beforeSubmit: EventEmitter<Object>;
    onSubmit: EventEmitter<Object>;
    onInvalid: EventEmitter<boolean>;
    onChange: EventEmitter<Object>;
    onRender: EventEmitter<any>;
    alerts: Array<FormioAlert>;
    constructor();
}
